import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import { DejaPopupAction } from '../../model/popup-action.model';
import { DejaPopupBase } from '../../model/popup-base.class';
import { DejaPopupService } from '../../service/popup.service';
import * as i0 from "@angular/core";
export declare class DejaPopupTrayComponent implements OnInit {
    dialogSrv: DejaPopupService;
    dialogs$: Observable<MatDialogRef<DejaPopupBase>[]>;
    constructor(dialogSrv: DejaPopupService);
    ngOnInit(): void;
    minify(action: DejaPopupAction): boolean;
    maxify(action: DejaPopupAction): boolean;
    doAction(action: DejaPopupAction): boolean;
    closeAll(): void;
    minimizeAll(): void;
    showAll(): void;
    private refresh;
    static ɵfac: i0.ɵɵFactoryDeclaration<DejaPopupTrayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DejaPopupTrayComponent, "deja-popup-tray", never, {}, {}, never, never>;
}
